Package org.apache.trevni

# Class BZip2Codec

java.lang.Object
org.apache.trevni.BZip2Codec

public class BZip2Codec extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_BUFFER_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`BZip2Codec()`

## Method Summary

Modifier and Type
Method
Description
`protected static int`
`computeOffset(ByteBuffer data)`
`static org.apache.trevni.Codec`
`get(MetaData meta)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_BUFFER_SIZE

public static final int DEFAULT_BUFFER_SIZE

See Also:
  - Constant Field Values

## Constructor Details

### BZip2Codec

public BZip2Codec()

## Method Details

### get

public static org.apache.trevni.Codec get(MetaData meta)

### computeOffset

protected static int computeOffset(ByteBuffer data)